- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties

# QPauseAnimation Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qpauseanimation.h.

`#include <qpauseanimation.h>`

Inheritance diagram for QPauseAnimation:
[legend]

List of all members.

## Public Member Functions
| QPauseAnimation (QObject *parent=0)
| QPauseAnimation (int msecs, QObject *parent=0)
| ~QPauseAnimation ()
int | duration () const
void | setDuration (int msecs)
## Protected Member Functions
bool | event (QEvent *e)
void | updateCurrentTime (int)
## Properties
int | duration

## Constructor & Destructor Documentation

QPauseAnimation | ( | QObject * | parent = `0` | ) |

QPauseAnimation | ( | int | msecs,
|  | QObject * | parent = `0`
| ) |  |

~QPauseAnimation | ( |  | ) |

## Member Function Documentation

int duration | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractAnimation.

void setDuration | ( | int | msecs | ) |

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractAnimation.

void updateCurrentTime | ( | int |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QAbstractAnimation.

## Property Documentation

int duration `[read, write]`

Search for all occurrences

Reimplemented from QAbstractAnimation.

Definition at line 60 of file qpauseanimation.h.

The documentation for this class was generated from the following file:

- QtCore/qpauseanimation.h

QPauseAnimation QPauseAnimation QPauseAnimation QPauseAnimation QPauseAnimation QPauseAnimation QPauseAnimation QPauseAnimation QPauseAnimation QPauseAnimation
QPauseAnimation QPauseAnimation QPauseAnimation QPauseAnimation QPauseAnimation QPauseAnimation QPauseAnimation QPauseAnimation QPauseAnimation QPauseAnimation